Bug 1130706 - Centos 5 will not install latest fail2ban update 0.8.13
Summary: Centos 5 will not install latest fail2ban update 0.8.13
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: fail2ban
Version: el5
Hardware: x86_64
OS: Linux
unspecified
urgent
Target Milestone: ---
Assignee: Orion Poplawski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-16 13:45 UTC by Rich M
Modified: 2014-09-06 20:30 UTC (History)
4 users (show)

Fixed In Version: fail2ban-0.8.14-1.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-06 20:30:02 UTC


Attachments (Terms of Use)

Description Rich M 2014-08-16 13:45:12 UTC
I have today received a yum update of Fail2Ban to 0.8.13-2.el5

However, when restarting there is an error reported in

/usr/share/fail2ban/server/filterpyinotify.py

The error relates to the line:

Code: Select all
          except Exception as e:



This requires an update to Python (currently at 2.4.3-56.el5 in the distribution).

For now, I have amended the line to read:

Code: Select all
          except Exception, e:



But obviously the better answer would be to push the upgrade to Python which implements this syntax - but that may cause other issues

Comment 1 Ric Anderson 2014-08-19 03:24:53 UTC
diff -u to implement suggested fix to syntax error below:
# diff -u /usr/share/fail2ban/server/filterpyinotify.py~ /usr/share/fail2ban/server/filterpyinotify.py
--- /usr/share/fail2ban/server/filterpyinotify.py~	2014-03-15 01:14:36.000000000 -0700
+++ /usr/share/fail2ban/server/filterpyinotify.py	2014-08-18 19:39:51.000000000 -0700
@@ -211,6 +211,6 @@
 	def process_default(self, event):
 		try:
 			self.__FileFilter.callback(event, origin='Default ')
-		except Exception as e:
+		except Exception, e:
 			logSys.error("Error in FilterPyinotify callback: %s",
 				e, exc_info=logSys.getEffectiveLevel() <= logging.DEBUG)

Comment 2 Fedora Update System 2014-08-20 15:52:15 UTC
fail2ban-0.8.14-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/fail2ban-0.8.14-1.el5

Comment 3 Fedora Update System 2014-08-20 22:59:30 UTC
Package fail2ban-0.8.14-1.el5:
* should fix your issue,
* was pushed to the Fedora EPEL 5 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing fail2ban-0.8.14-1.el5'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2014-2262/fail2ban-0.8.14-1.el5
then log in and leave karma (feedback).

Comment 4 Nataraj 2014-09-04 10:34:36 UTC
Used 100% CPU and did not work.  Gave errors: Starting fail2ban: WARNING 'action' not defined in 'php-url-fopen'. Using default one: ''
WARNING 'action' not defined in 'lighttpd-fastcgi'. Using default one: ''  Same config files work fine with  fail2ban-0.8.10-4.el5

Comment 5 Orion Poplawski 2014-09-05 14:48:21 UTC
Nataraj  - please attach your jail.conf

Comment 6 Fedora Update System 2014-09-06 20:30:02 UTC
fail2ban-0.8.14-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.